Subject: bug#54785: for floating point, printf should use double like in C instead of long double

From: Chet Ramey <[email-masked]>
Date: Fri, 29 Apr 2022 16:04:58 -0400

On 4/25/22 3:06 PM, Paul Eggert wrote:
> On 4/25/22 11:22, Chet Ramey wrote:
>> Thanks for the input.
> 
> You're welcome. Whenever you decide what to do about this, could you please 
> let us know? I'd like coreutils printf to stay compatible with Bash printf. 
> Thanks.

I think I'm going to stick with the behavior I proposed, fixing the POSIX
conformance issue and preserving backwards compatibility, until I hear more
about whether backwards compatibility is an issue here.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, UTech, CWRU    [email-masked]    http://tiswww.cwru.edu/~chet/